/* basics */
:root{
  --white:#ccc;
  --night:#002;
  --pink:#606;
  --red:#900;
}
*,html{overflow-x:hidden;overflow-y:hidden;pointer-events:inherit;}
body,form{margin:0;padding:0;}
.clear{clear:both;}

/* font */
@font-face {
  font-family:'OdibeeSans';
  src:url('OdibeeSans-Regular.ttf') format('truetype');
}

/* desktop */
body{font-family:'OdibeeSans',sans;letter-spacing:0;font-size:40px;line-height:40px;font-weight:300;text-transform:uppercase;background-color:var(--night);color:var(--white);}
.disabled{background-color:var(--night) !important;color:var(--night) !important;}
.smaller{font-size:0.65em;line-height:1em;margin:1em 0 0 0.75em;}
.desktop{display:block;}
.mobile{display:none;}
.show-elem{display:block !important;}
.hide-elem{display:none !important;}
#cover1,#cover2{position:fixed;top:0;z-index:999;height:100vh;width:50vw;background-color:var(--night);}
#cover1{left:0;}
#cover2{right:0;}
.cover1hide{margin-left:-50vw;transition:all 0.5s 1.5s ease-in-out;}
.cover2hide{margin-right:-50vw;transition:all 0.5s 1.5s ease-in-out;}
#crt{position:fixed;top:0;z-index:800;height:100vh;width:100vw;}
#crt::before {
  content: " ";
  display: block;
  position: absolute;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  background: linear-gradient(rgba(18, 16, 16, 0) 75%, rgba(0, 0, 0, 0.5) 25%), linear-gradient(90deg, rgba(255, 0, 0, 0.06), rgba(0, 255, 0, 0.02), rgba(0, 0, 255, 0.06));
  z-index: 2;
  background-size: 100% 2px, 3px 100%;
  pointer-events: none;
}
#points{position:absolute;z-index:50;top:0px;left:0px;padding:5px;}
#pointslist{position:absolute;z-index:50;top:45px;left:0px;font-size:0.48em;line-height:1em;padding:1px;text-align:right;display:none;}
#bases{position:absolute;z-index:50;bottom:20px;left:0px;width:100vw;height:auto;margin:0 1%;}
.base{position:relative;width:60px;height:55px;background-color:var(--pink);float:left;text-align:center;line-height:1.5em;}
.base{margin-right:-35px;border-radius:50% 50% 0 0;}
#cities{position:absolute;z-index:50;bottom:20px;left:0px;width:100vw;height:auto;margin:0 1%;}
.city{position:relative;width:60px;height:35px;background-color:var(--white);float:left;}
.city{margin-right:-50px;border-radius:25% 25% 0 0;}
#level{position:absolute;z-index:50;top:0px;right:0px;padding:5px;}
#start{position:absolute;z-index:100;top:36vh;left:42vw;font-size:1em;line-height:1em;display:none;}
#start>div{font-size:0.65em;line-height:1em;margin:1em 0 0 2.5em;}
#gameover{position:absolute;z-index:100;top:42vh;left:43vw;font-size:1em;line-height:1em;display:none;}
#gameover>div{font-size:0.65em;line-height:1em;margin:1em 0 0 0;}
#ground{position:absolute;z-index:50;width:100vw;height:20px;bottom:0;left:0;background-color:var(--pink);}
#shots{position:absolute;z-index:50;top:0;left:0;width:100vw;height:100vh;}
.shot{width:4px;height:4px;position:absolute;z-index:10;background-color:var(--white);}
.rocket{width:6px;height:6px;position:absolute;z-index:10;background-color:var(--white);}
#explos{position:absolute;z-index:50;top:0;left:0;width:100vw;height:100vh;}
.explo{width:0;height:0;border-radius:50%;position:absolute;background-color:var(--red);}

/* mobile */
@media(max-width:960px){
  body{font-size:28px;line-height:28px;}
  .desktop{display:none;}
  .mobile{display:block;}
  #pointslist{top:35px;font-size:0.48em;line-height:1.15em;}
  #bases{bottom:10px;margin-left:1px;}
  .base{width:55px;height:35px;}
  .base{margin-right:-30px;}
  #cities{bottom:10px;margin-left:1px;}
  .city{width:55px;height:25px;}
  .city{margin-right:-40px;}
  #start{margin:9vh 0 0 1vw;}
  #gameover{margin:3vh 0 0 0;}
  #ground{height:10px;}
  .shot{width:2px;height:2px;}
  .rocket{width:4px;height:4px;}
}
@media(max-width:680px){
  .base{margin-right:-45px;}
  .city{margin-right:-50px;}
}